/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Copyright (C) 2016 OX Software GmbH
 * Mail: info@open-xchange.com
 *
 * @author Carsten Driesner <carsten.driesner@open-xchange.com>
 */

define('io.ox/office/baseframework/utils/errorcontextdata', function () {

    'use strict';

    // static class ErrorContextData ==========================================

    var ErrorContextData = {
        MAX_DOCSIZE_ALLOWED: 'MAX_DOCSIZE_ALLOWED',
        RESTORED_FILENAME: 'restoredFileName',
        RESTORED_FILEID:   'restoredFileId',
        RESTORED_FOLDERID: 'restoredFolderId',
        RESTORED_PATHNAME: 'restoredPathName',
        RESTORED_ERRORCODE: 'restoredErrorCode',
        ORIGINAL_FILEID:   'originalFileId'
    };

    // static methods ---------------------------------------------------------

    ErrorContextData.create = function (name, value) {
        var obj = {};
        obj[name] = value;
        return obj;
    };

    // exports ================================================================

    return ErrorContextData;
});
